Name:           nde-style
Version:        0.0.1
Release:        19.1%{?dist}
License:        LGPLv2+
Summary:        nde-style theme for Qt-based applications

Source0:        nde-style-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  nde-lib-devel
BuildRequires:  kf5-kwindowsystem-devel
BuildRequires:  qt5-linguist
BuildRequires:  qt5-qtbase-devel
BuildRequires:  nde-qtxdg-devel
BuildRequires:  libstatgrab-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtbase-private-devel

Requires: nde-qtxdg
Requires: nde-lib

#下个版本打开下面注释
#Obsoletes: nde-style-qt5
#Obsoletes: nde-style-qt-common

#Provides: nde-style-qt5
#Provides: nde-style-qt-common

%description
Theme to let Qt applications fit nicely into nde-style desktop

%prep
%setup -q -n %{name}-%{version}

mkdir -p "%{_target_platform}"
pushd "%{_target_platform}"
%{cmake} ..
popd

make %{?_smp_mflags} -C "%{_target_platform}"

%install
make install/fast DESTDIR=%{buildroot} -C "%{_target_platform}"
mkdir -p %{buildroot}/usr/bin/
cp %{_target_platform}/demo/showcase %{buildroot}/usr/bin/

%files 
%doc LICENSE.LGPL2 README.md
%{_qt5_plugindir}/styles/nde-style.so
%{_qt5_plugindir}/styles/nde-style-v2.so
/usr/bin/showcase

#下个版本删除以下两个空包
#%package -n nde-style-qt5
#Summary:        nde-style Qt5 theme

#%description -n nde-style-qt5

#%package -n nde-style-qt-common
#Summary:        nde-style Qt common files

#%description -n nde-style-qt-common

#%files -n nde-style-qt5

#%files -n nde-style-qt-common

%changelog
* Sat Dec 28 2024 he leilei <he.leilei@zte.com.cn> - 0.0.1-19.1
- fix build error

* Fri Feb 18 2022 li shengsong <li.shengsong@zte.com.cn> - 0.0.1-19
- 兼容高版本qt

* Wed Jul 14 2021 he leilei <he.leilei@zte.com.cn> - 0.0.1-18
- 修复Light控件问题

* Thu Jul 8 2021 he leilei <he.leilei@zte.com.cn> - 0.0.1-17
- 由于受到软件卸载保护列表限制，nde-style-qt5，nde-style-qt-common暂时无法删除。

* Tue Jul 6 2021 he leilei <he.leilei@zte.com.cn> - 0.0.1-16
- 添加v2版本的控件主题，删除qt4支持

* Wed Apr 14 2021 wu jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-15
- 表格输入框复选重影问题

* Tue Mar 23 2021 wu jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-14
- 滑动条获取背景框时先判断是否是空指针

* Tue Mar 09 2021 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-13
- 修复button非active状态泛白的问题

* Wed Sep 02 2020 NewStart <os@gd-linux.com> - 0.0.1-12
- 修复tabbar获取上一个页面宽度问题

* Wed Aug 26 2020 NewStart <os@gd-linux.com> - 0.0.1-11
- 修改部分效果的大小

* Tue Aug 4 2020 NewStart <os@gd-linux.com> - 0.0.1-10
- 按钮字体选中变白

* Fri Jul 3 2020 NewStart <os@gd-linux.com> - 0.0.1-9
- 修复复选框重影问题

* Fri Jul 3 2020 NewStart <os@gd-linux.com> - 0.0.1-8
- 修改选择框选中颜色

* Fri Jul 3 2020 NewStart <os@gd-linux.com> - 0.0.1-7
- 修改选中字体框圆角

* Fri Jun 19 2020 NewStart <os@gd-linux.com> - 0.0.1-6
- 修改toolbutton，treeview点击选中背景颜色

* Thu May 28 2020 NewStart <os@gd-linux.com> - 0.0.1-5
- 修复点击ssh连接按钮崩溃问题

* Mon May 26 2020 NewStart <os@gd-linux.com> - 0.0.1-4
- 添加qemnu样式，与下拉框相同；修改下拉框样式和边框处理

* Thu May 21 2020 NewStart <os@gd-linux.com> - 0.0.1-3
- 修复第一次更换主题时下拉框的样式错误

* Thu May 21 2020 NewStart <os@gd-linux.com> - 0.0.1-2
- 把改动更新进来，修复下拉框Bug和样式

* Sat May 16 2020 NewStart <os@gd-linux.com> - 0.0.1-1
- First release.
